% x = file_matrix(filename)
% This program import a text file as a matrix.
% x.f_matrix is a matrix.
% x.f_length is a column vector the elements of which describe the length of each line imported from the text file. 
function x = file_matrix(filename);
fid = fopen(filename, 'r', 'native');
if ( fid == -1 )
    error('Confirm filename.');
else
 L = fgetl(fid);
 [Lr, Lc] = size(L);
 if ( L == -1 )
    fclose(fid);
    error('Confirm file content.');
 else
    if ( isempty(L) == 1 )
       L = ' ';
    end 
    x.f_matrix = L;
    x.f_length = Lc;
    while (1)
       L = fgetl(fid);
       [Lr, Lc] = size(L);
       if ( L == -1 )
           break;
       end
       if ( isempty(L) == 1 )
          L = ' ';
       end 
       x.f_matrix = char(x.f_matrix, L);
       x.f_length = [x.f_length; Lc];
    end
 end
  fclose(fid);
end
